<?php 
namespace Concrete\Package\CcOptinFree;

use Package;

///// Package configuration class /////////////////////////////////

class CcOptin
{
	private static $pkg;

	public static function path($append = '') { return self::$pkg->getRelativePath() . '/' . $append; }
	public static function serverPath($append = '') { return self::$pkg->getPackagePath() . '/' . $append; }

	public static function __staticConstruct() {
		self::$pkg = Package::getByHandle(CC_OPTIN);
	}

	public static function package() {
		return self::$pkg;
	}

	public static function config() { 
		return self::$pkg->getConfig();
	}

	// Cannot find any other place without having to include plenty of php files when needed.
	public static function campaignDialogSize() { return array(640, 640); }	
	public static function contentDialogSize() { return array(640, 640); }

	public static function proFeatureLink($feature) {
		$featureURL = 'http://concreteconversion.com/addons/optin/features/';	
		return "<a class='pro-feature' href='$featureURL#$feature' target='_blank'>PRO</a>";
	}
}

CcOptin::__staticConstruct();
