<?php 
namespace Concrete\Package\CcOptinFree\Controllers;
use User;
use PermissionKey;

class CcOptinSecurity
{
	const read = 1;
	const write = 2;

	const readPermissionKey = 'read_optin_campaigns';
	const writePermissionKey = 'write_optin_campaigns';

	public function canRead() {
		$u = new User();
		if($u->isSuperUser()) return true;

		$key = PermissionKey::getByHandle('edit_page_contents');
		if(!$key) return false;
		return $key->can();
	}

	public function canWrite() {
		$u = new User();
		if($u->isSuperUser()) return true;
		
		return $this->canRead();
	}
}
